|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QScreenDriverFactory Class Reference
[QtGui module]

The QScreenDriverFactory class creates QScreen objects for Qt/Embedded. More...

    #include <QScreenDriverFactory>

- List of all members, including inherited members

### Static Public Members

- QScreen * create ( const QString & key, int displayId )
- QStringList keys ()

## Detailed Description

The QScreenDriverFactory class creates QScreen objects for Qt/Embedded.

The graphics driver factory creates a QScreen object for a given key with QScreenDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QScreenDriverPlugin).

QScreenDriverFactory::keys() returns a list of valid keys. Qt currently ships with "LinuxFb".

This class is only available in Qt/Embedded.

## Member Function Documentation

### QScreen * QScreenDriverFactory::create ( const QString & key, int displayId ) `[static]`

Creates a QScreen object of a type that matches key, and with the ID, displayId. The QScreen object returned may be from a built-in driver, or from a driver plugin.

See also keys().

### QStringList QScreenDriverFactory::keys () `[static]`

Returns the list of keys this factory can create drivers for.

See also create().